package org.psesquared.server.subscriptions.api.controller;

import com.fasterxml.jackson.annotation.JsonUnwrapped;
import java.util.List;
import org.psesquared.server.episode.actions.api.controller.EpisodeActionPost;
import org.psesquared.server.model.Subscription;

/**
 * Contains a podcast and its latest 20 Episodes.
 *
 * @param subscription The podcast
 * @param episodes     The episodes of the podcast
 */
public record SubscriptionTitles(
    @JsonUnwrapped Subscription subscription,
    List<EpisodeActionPost> episodes) {
}
