import { createApp } from 'vue'
import router from '@/router'
import i18n from '@/i18n'

import App from '@/App.vue'

import "bootstrap/dist/css/bootstrap.css"
import '@/style.css'
import "@fortawesome/fontawesome-free/css/all.css"

try {
    navigator.registerProtocolHandler("web+pod", "/subscriptions?add=%s", "Podcast");
} catch (err) {
    console.error(err);
}

createApp(App).use(router).use(i18n).mount('#app')

// import "bootstrap/dist/js/bootstrap.js"

