package org.psesquared.server.authentication.api.controller;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * A request for sending an email with a link for resetting a user's password to
 * the user's {@link #email} address.
 *
 * @param email The email address
 */
public record ForgotPasswordRequest(
    @JsonProperty(required = true) String email) {
}
